View Issue Details

IDProjectCategoryView StatusLast Update
0001253SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.3.3 
Target Version3.4.6Fixed in Version3.4.6 
Summary0001253: Node communication records can be stranded
DescriptionThe pull job thread allocates sym_node_communication locks and then allocates a worker thread to do the work. If more threads are allocated than database connections exist, then a worker thread can fail to unlock the sym_node_communication record when it is done which prevents nodes from being pushed or pulled.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 9342eed8

2013-06-05 09:35:13

chenson

Details Diff
0001253: Node communication records can be stranded
0001253
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File

Issue History

Date Modified Username Field Change
2013-06-05 09:13 chenson New Issue
2013-06-05 09:13 chenson Status new => assigned
2013-06-05 09:13 chenson Assigned To => chenson
2013-06-05 22:21 chenson Fixed in Version => 3.4.6
2013-06-05 22:21 chenson Target Version 3.5.0 => 3.4.6
2013-06-05 22:21 chenson Status assigned => resolved
2013-06-05 22:21 chenson Resolution open => fixed
2013-06-06 14:43 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7324
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7326
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7327
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9342eed8